curl https://api.growthbook.io/api/v1/features/my_feature/revisions?limit=10&offset=0 \
-u secret_abc123DEF456:{
"revisions": [
{
"baseVersion": 123,
"version": 123,
"comment": "<string>",
"date": "2023-11-07T05:31:56Z",
"status": "<string>",
"rules": {},
"createdBy": "<string>",
"publishedBy": "<string>",
"defaultValue": "<string>",
"definitions": {},
"environmentsEnabled": {},
"envPrerequisites": {},
"prerequisites": [
{
"id": "<string>",
"condition": "<string>"
}
],
"metadata": {
"description": "<string>",
"owner": "<unknown>",
"project": "<string>",
"tags": [
"<string>"
],
"neverStale": true,
"valueType": "<string>",
"jsonSchema": {
"schemaType": "schema",
"schema": "<string>",
"simple": {},
"date": "2023-11-07T05:31:56Z",
"enabled": true
},
"customFields": {}
}
}
],
"limit": 123,
"offset": 123,
"count": 123,
"total": 123,
"hasMore": true,
"nextOffset": 123
}Documentation Index
Fetch the complete documentation index at: https://growthbook-preview.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
If using Bearer auth, pass the Secret Key as the token:
curl https://api.growthbook.io/api/v1 \
-H "Authorization: Bearer secret_abc123DEF456"The id of the requested resource
The number of items to return
How many items to skip (use in conjunction with limit for pagination)
curl https://api.growthbook.io/api/v1/features/my_feature/revisions?limit=10&offset=0 \
-u secret_abc123DEF456:{
"revisions": [
{
"baseVersion": 123,
"version": 123,
"comment": "<string>",
"date": "2023-11-07T05:31:56Z",
"status": "<string>",
"rules": {},
"createdBy": "<string>",
"publishedBy": "<string>",
"defaultValue": "<string>",
"definitions": {},
"environmentsEnabled": {},
"envPrerequisites": {},
"prerequisites": [
{
"id": "<string>",
"condition": "<string>"
}
],
"metadata": {
"description": "<string>",
"owner": "<unknown>",
"project": "<string>",
"tags": [
"<string>"
],
"neverStale": true,
"valueType": "<string>",
"jsonSchema": {
"schemaType": "schema",
"schema": "<string>",
"simple": {},
"date": "2023-11-07T05:31:56Z",
"enabled": true
},
"customFields": {}
}
}
],
"limit": 123,
"offset": 123,
"count": 123,
"total": 123,
"hasMore": true,
"nextOffset": 123
}